summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2016-05-15 17:05:57 -0700
committerZac Medico <zmedico@gentoo.org>2016-05-15 17:07:01 -0700
commit11389cfde3266d32dc425e66c46a934c24647c8c (patch)
treee6818f0026b3a1c38c45a01ff90c1eef56bf816d /dev-util/android-tools
parentmedia-tv/gentoo-vdr-scripts: removed useless inherit eutils for eapi=6; remov... (diff)
downloadgentoo-11389cfde3266d32dc425e66c46a934c24647c8c.tar.gz
gentoo-11389cfde3266d32dc425e66c46a934c24647c8c.tar.bz2
gentoo-11389cfde3266d32dc425e66c46a934c24647c8c.zip
dev-util/android-tools: fix cdefs.h usage for musl bug 580686
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-util/android-tools')
-rw-r--r--dev-util/android-tools/android-tools-5.1.1_p13.ebuild4
1 files changed, 4 insertions, 0 deletions
diff --git a/dev-util/android-tools/android-tools-5.1.1_p13.ebuild b/dev-util/android-tools/android-tools-5.1.1_p13.ebuild
index 5b4a2fc1ebf..4111441f36f 100644
--- a/dev-util/android-tools/android-tools-5.1.1_p13.ebuild
+++ b/dev-util/android-tools/android-tools-5.1.1_p13.ebuild
@@ -53,6 +53,10 @@ src_prepare() {
-i extras/f2fs_utils/f2fs_utils.c || die
mv arch/*/trunk/Makefile ./ || die
sed -i '1i#include <sys/sysmacros.h>' core/adb/usb_linux.c || die #580058
+ sed -e 's|^#include <sys/cdefs.h>$|/*\0*/|' \
+ -e 's|^__BEGIN_DECLS$|#ifdef __cplusplus\nextern "C" {\n#endif|' \
+ -e 's|^__END_DECLS$|#ifdef __cplusplus\n}\n#endif|' \
+ -i extras/ext4_utils/sha1.{c,h} || die #580686
tc-export CC
}